import React from 'react';
import styles from './logo_loader.module.css';

interface svgType {
    height?: number
    width?: number
    fill?: string
    stroke?: string
}

const LogoLoader =  ({height = 25, width = 25, fill = "#fff",stroke = '#fff', ...props}: svgType)  => {
    return(
        <>
        <svg width="58.419" height="62.96800000000001" className={styles.fontM}>
            <g>
                <clipPath id="cliPathM">
                    <path  d="M 49.039 62.542 A 10.404 10.404 0 0 0 50.857 61.713 Q 50.857 60.613 50.807 59.713 Q 50.793 59.465 50.799 59.225 A 5.469 5.469 0 0 1 50.957 58.013 Q 52.057 50.213 53.107 42.613 Q 54.157 35.013 55.257 27.213 Q 56.057 21.213 56.807 15.413 Q 57.557 9.613 58.357 3.613 A 9.392 9.392 0 0 0 58.372 3.483 Q 58.491 2.415 58.306 1.767 A 1.698 1.698 0 0 0 58.107 1.313 A 1.381 1.381 0 0 0 57.92 1.083 Q 57.398 0.561 56.157 0.313 A 14.603 14.603 0 0 0 55.444 0.176 Q 53.537 -0.141 51.807 0.113 A 5.735 5.735 0 0 0 51.455 0.175 Q 49.593 0.568 47.857 2.213 Q 33.657 15.713 23.057 32.613 Q 22.557 33.413 21.457 35.213 Q 20.257 32.313 19.207 29.613 Q 18.157 26.913 17.157 24.313 Q 15.857 21.013 14.657 17.763 Q 13.457 14.513 12.157 11.313 Q 11.403 9.456 10.01 8.576 A 5.254 5.254 0 0 0 7.657 7.813 Q 4.661 7.527 2.988 8.107 A 3.693 3.693 0 0 0 1.857 8.713 A 3.254 3.254 0 0 0 1.127 9.579 Q 0.496 10.632 0.228 12.462 A 18.813 18.813 0 0 0 0.057 14.313 A 95.928 95.928 0 0 0 0 17.619 A 93.725 93.725 0 0 0 0.357 25.813 Q 0.657 30.413 1.107 34.963 Q 1.557 39.513 1.857 44.113 Q 2.157 47.913 2.257 51.663 Q 2.357 55.413 2.557 59.213 Q 2.698 60.619 3.061 61.382 A 2.097 2.097 0 0 0 3.407 61.913 A 1.743 1.743 0 0 0 3.794 62.218 Q 4.534 62.66 6.057 62.813 L 7.257 62.813 Q 7.857 62.813 8.457 62.713 A 11.146 11.146 0 0 0 8.471 62.711 Q 9.781 62.571 10.398 62.193 A 1.251 1.251 0 0 0 10.807 61.813 Q 11.257 61.113 11.057 59.213 A 10.52 10.52 0 0 1 11.013 58.866 A 9.251 9.251 0 0 1 10.957 57.863 L 10.957 56.513 A 121.057 121.057 0 0 1 10.945 56.331 A 111.369 111.369 0 0 1 10.707 50.863 Q 10.657 48.113 10.457 45.313 Q 10.257 41.313 9.957 37.313 L 9.357 29.313 Q 9.857 29.813 10.207 30.463 Q 10.557 31.113 10.857 31.813 Q 12.157 34.713 13.407 37.613 Q 14.657 40.513 16.057 43.413 A 16.635 16.635 0 0 0 16.071 43.438 Q 16.985 45.137 18.01 46.095 A 4.904 4.904 0 0 0 19.357 47.013 Q 20.833 47.668 23.249 47.451 A 17.175 17.175 0 0 0 24.357 47.313 A 13.015 13.015 0 0 0 25.226 47.154 Q 26.039 46.975 26.537 46.725 A 2.037 2.037 0 0 0 27.007 46.413 A 1.755 1.755 0 0 0 27.334 45.984 Q 27.739 45.27 27.957 43.813 A 36.777 36.777 0 0 1 28.42 41.743 A 31.263 31.263 0 0 1 32.757 31.913 Q 35.657 27.613 38.707 23.563 Q 41.757 19.513 44.857 15.313 Q 45.257 14.813 45.807 14.313 A 21.346 21.346 0 0 0 45.863 14.262 Q 46.256 13.901 46.773 13.394 A 63.447 63.447 0 0 0 47.157 13.013 Q 46.998 13.916 46.867 14.72 A 93.603 93.603 0 0 0 46.657 16.063 Q 46.457 17.413 46.257 18.613 Q 44.857 26.513 43.507 34.363 Q 42.157 42.213 40.757 50.113 Q 40.357 52.313 40.207 54.463 Q 40.057 56.613 39.957 58.813 Q 39.884 61.167 41.434 62.114 A 4.123 4.123 0 0 0 42.757 62.613 A 18.089 18.089 0 0 0 46.313 62.968 A 17.782 17.782 0 0 0 46.757 62.963 A 7.683 7.683 0 0 0 49.039 62.542 Z" />
                </clipPath>
                <path strokeLinecap="round" clipPath="url(#cliPathM)" className={styles.path}  d="m6.55325,62.10975l-2.647,-51.9535l4.0625,0.9375l13.4375,33.125l13.90625,-24.375l18.28125,-17.65625l-7.96875,58.4375l-0.15625,2.03125" opacity="NaN" stroke="#fff" fill="none"/>

            </g>
        </svg>
    <svg width="39.5" height="55.598" viewBox="0 0 39.5 55.598" xmlns="http://www.w3.org/2000/svg" className={styles.fontZ}>
        <g >
            <clipPath id="cliPathZ">
            <path d="M 33.198 45.837 A 19.675 19.675 0 0 0 31.5 45.96 Q 30.974 46.035 29.885 46.308 A 59.316 59.316 0 0 0 29.1 46.51 Q 27.4 46.96 25.4 47.46 Q 23.4 47.96 21.35 48.36 Q 19.3 48.76 17.85 48.76 A 8.254 8.254 0 0 1 17.464 48.751 Q 16.743 48.718 16.272 48.552 A 1.742 1.742 0 0 1 15.8 48.31 Q 15.284 47.923 15.877 46.909 A 5.388 5.388 0 0 1 16.1 46.56 Q 19.2 41.76 22.3 37.11 Q 25.4 32.46 28.3 27.66 Q 30.6 24.06 32.9 20.36 Q 35.2 16.66 37.3 12.86 A 7.872 7.872 0 0 0 37.851 11.986 A 9.238 9.238 0 0 0 38.55 10.31 A 20.279 20.279 0 0 0 38.659 9.947 A 18.142 18.142 0 0 0 39.2 7.46 Q 39.414 6.12 39.212 5.067 A 4.121 4.121 0 0 0 38.55 3.46 A 6.016 6.016 0 0 0 37.204 2.081 A 7.546 7.546 0 0 0 35.55 1.16 A 12.921 12.921 0 0 0 33.415 0.502 A 17.345 17.345 0 0 0 31.05 0.16 Q 28.5 -0.04 25.95 0.01 A 47.641 47.641 0 0 0 24.08 0.083 A 39.994 39.994 0 0 0 21.15 0.36 Q 19.463 0.585 18.309 0.754 A 98.236 98.236 0 0 0 17.6 0.86 A 49.127 49.127 0 0 0 16.345 1.1 A 43.6 43.6 0 0 0 9.15 3.21 Q 5.2 4.76 2 7.56 A 15.835 15.835 0 0 0 1.961 7.599 Q 0.689 8.88 0 10.16 A 8.461 8.461 0 0 0 1.246 10.923 A 9.016 9.016 0 0 0 4.4 11.81 Q 6.9 12.06 8 10.86 Q 9.002 9.733 10.532 8.626 A 26.603 26.603 0 0 1 12.55 7.31 Q 15.5 5.56 18.8 4.46 A 23.664 23.664 0 0 1 19.876 4.132 Q 21.071 3.796 22.65 3.46 Q 25 2.96 26.9 3.11 A 6.061 6.061 0 0 1 26.979 3.117 Q 27.571 3.171 28.058 3.335 A 3.024 3.024 0 0 1 29.65 4.51 Q 30.5 5.76 29.1 8.86 Q 24.7 17.06 19.3 24.61 Q 13.9 32.16 7.9 40.56 Q 6.4 42.86 4.9 45.31 Q 3.4 47.76 1.9 50.16 Q 0.2 53.36 4.4 54.66 A 19.673 19.673 0 0 0 6.556 55.249 Q 9.828 55.94 12.7 55.26 Q 18.9 53.86 24.9 52.36 Q 30.9 50.86 37 49.26 Q 37.6 49.06 38.15 48.56 A 6.79 6.79 0 0 1 38.249 48.472 Q 38.52 48.235 38.848 47.998 A 11.563 11.563 0 0 1 39.5 47.56 A 13.321 13.321 0 0 0 38.684 47.034 Q 37.859 46.545 37.074 46.259 A 6.393 6.393 0 0 0 35.2 45.86 Q 34.158 45.808 33.198 45.837 Z" />
            </clipPath>
                <path strokeLinecap="round" clipPath="url(#cliPathZ)" className={styles.path}  d="m2.57619,11.11381l6.98897,-5.46167l9.89124,-3.47824l9.78255,-0.54347l4.99997,2.39129l-0.43478,5.43475l-14.34774,22.06508l-12.49992,19.23901l7.17387,1.08695l19.34771,-3.80432l5.43475,-0.54347" opacity="NaN" stroke="#fff" fill="none"/>

        </g>
    </svg>
            <svg width="9.19" height="6.2" viewBox="0 0 9.19 6.2" fill={'#fff'} className={styles.fontPoint} >
                <g >
                    <path d="M 9.19 3.3 Q 8.89 5.2 8.29 5.65 Q 7.768 6.042 5.955 6.168 A 21.646 21.646 0 0 1 5.39 6.2 L 4.49 6.2 Q 4.09 6.2 3.69 6.1 A 5.555 5.555 0 0 1 2.385 5.838 A 3.473 3.473 0 0 1 0.44 4.3 Q -0.303 3.049 0.208 1.736 A 4.091 4.091 0 0 1 0.59 1 L 0.89 0.7 A 1.887 1.887 0 0 1 1.302 0.456 Q 1.72 0.27 2.348 0.171 A 7.13 7.13 0 0 1 2.49 0.15 A 16.289 16.289 0 0 1 3.924 0.021 A 19.474 19.474 0 0 1 4.84 0 A 11.113 11.113 0 0 1 6.488 0.118 A 9.562 9.562 0 0 1 7.19 0.25 A 6.755 6.755 0 0 1 7.696 0.384 Q 8.21 0.544 8.507 0.75 A 1.313 1.313 0 0 1 8.69 0.9 A 2.107 2.107 0 0 1 8.976 1.773 A 2.621 2.621 0 0 1 8.99 2.05 Q 8.99 2.7 9.19 3.3 Z" />
                </g>
            </svg>
            <svg width="10.35" height="51.266" viewBox="0 0 10.35 51.266" className={styles.fontI} >
                <g >
                    <clipPath id="cliPathI">
                        <path d="M 7 51.152 L 6.6 51.152 Q 4.95 51.309 3.763 51.25 A 10.093 10.093 0 0 1 3.15 51.202 Q 2.197 51.096 1.568 50.741 A 2.463 2.463 0 0 1 1.1 50.402 Q 0.4 49.752 0.2 48.452 Q 0 47.152 0 45.052 L 0 42.652 A 330.285 330.285 0 0 1 0.044 37.125 Q 0.088 34.526 0.174 32.208 A 195.251 195.251 0 0 1 0.2 31.552 Q 0.4 26.652 0.4 21.652 Q 0.4 19.652 0.9 19.102 Q 1.4 18.552 3.2 18.252 A 17.328 17.328 0 0 1 3.669 18.164 Q 4.325 18.052 4.7 18.052 Q 7.302 17.971 8.549 18.55 A 2.566 2.566 0 0 1 9.05 18.852 Q 9.988 19.586 10.227 21.781 A 14.076 14.076 0 0 1 10.3 22.852 Q 10.4 29.152 10.3 35.402 Q 10.2 41.652 10.1 48.052 A 10.816 10.816 0 0 1 10.035 48.816 Q 9.892 49.964 9.515 50.386 A 0.893 0.893 0 0 1 9.45 50.452 Q 8.918 50.935 7.123 51.138 A 16.053 16.053 0 0 1 7 51.152 Z M 9.778 7.957 A 13.868 13.868 0 0 0 9.8 7.152 Q 9.7 5.952 9.6 4.702 Q 9.5 3.452 9.4 2.152 Q 9.2 0.752 8.25 0.402 A 5.462 5.462 0 0 0 7.704 0.233 A 6.098 6.098 0 0 0 6.2 0.052 Q 4.8 0.052 3.35 0.002 A 2.695 2.695 0 0 0 3.257 0 Q 2.282 0 1.61 0.722 A 3.434 3.434 0 0 0 1.1 1.452 Q 0.9 1.852 0.95 2.302 A 7.738 7.738 0 0 1 0.974 2.559 A 8.979 8.979 0 0 1 1 3.252 Q 1.1 4.052 1.2 4.952 Q 1.3 5.852 1.4 6.652 A 34.753 34.753 0 0 0 1.42 6.898 Q 1.482 7.635 1.561 8.179 A 10.139 10.139 0 0 0 1.65 8.702 A 3.43 3.43 0 0 0 1.699 8.912 Q 1.768 9.171 1.871 9.382 A 1.738 1.738 0 0 0 2.2 9.852 Q 2.463 10.114 2.876 10.269 A 3.065 3.065 0 0 0 3.35 10.402 A 6.497 6.497 0 0 0 3.919 10.487 Q 4.23 10.521 4.594 10.537 A 16.016 16.016 0 0 0 5.3 10.552 L 6.2 10.552 A 3.308 3.308 0 0 0 6.271 10.551 Q 6.644 10.543 7.1 10.452 A 12.686 12.686 0 0 0 7.23 10.437 Q 8.916 10.232 9.35 9.702 Q 9.702 9.272 9.778 7.957 Z" />
                    </clipPath>
                    <path strokeLinecap="round" clipPath="url(#cliPathI)" className={styles.path} d="m5.175,50.39538l-0.06862,-50.25354" opacity="NaN" stroke="#fff" fill="none"/>

                </g>
            </svg>
            <svg width="38.847" height="45.792" viewBox="0 0 38.847 45.792" className={styles.fontO} ><g >
                <clipPath id="cliPathO">
                <path d="M 15.78 45.792 L 13.68 45.792 A 14.199 14.199 0 0 1 8.574 44.802 Q 4.834 43.267 2.73 39.364 A 17.496 17.496 0 0 1 1.68 36.992 A 32.639 32.639 0 0 1 0.244 30.327 A 30.193 30.193 0 0 1 0.18 29.642 Q -0.12 25.992 0.08 22.292 Q 0.48 17.492 1.63 12.992 Q 2.78 8.492 5.08 4.392 Q 8.38 -1.308 15.38 0.392 A 8.503 8.503 0 0 0 16.438 0.583 A 10.559 10.559 0 0 0 17.13 0.642 Q 18.08 0.692 18.98 0.792 L 21.88 0.792 A 20.602 20.602 0 0 1 24.605 0.968 A 18.946 18.946 0 0 1 24.78 0.992 A 17.714 17.714 0 0 1 29.521 2.398 A 14.791 14.791 0 0 1 33.28 4.892 A 16.041 16.041 0 0 1 37.314 10.753 A 20.349 20.349 0 0 1 38.08 12.992 Q 38.58 15.092 38.78 17.242 A 15.526 15.526 0 0 1 38.847 18.681 A 16.246 16.246 0 0 1 38.58 21.592 Q 36.48 33.092 28.18 40.792 Q 22.98 45.492 15.78 45.792 Z M 20.48 4.492 A 20.67 20.67 0 0 0 16.697 6.48 A 16.982 16.982 0 0 0 14.28 8.442 Q 11.78 10.892 10.58 14.492 A 21.939 21.939 0 0 0 9.719 18.164 Q 9.38 20.412 9.38 23.042 Q 9.38 27.294 10.339 32.688 A 85.5 85.5 0 0 0 10.68 34.492 A 10.678 10.678 0 0 0 11.268 36.351 A 13.091 13.091 0 0 0 11.73 37.342 A 43.051 43.051 0 0 0 13.081 39.765 A 38.935 38.935 0 0 0 13.28 40.092 Q 14.159 41.338 14.877 41.805 A 1.831 1.831 0 0 0 15.38 42.042 Q 16.135 42.252 17.382 41.371 A 9.293 9.293 0 0 0 17.88 40.992 Q 23.18 36.692 26.18 31.042 Q 29.18 25.392 29.38 18.192 A 14.276 14.276 0 0 0 29.395 17.544 A 13.265 13.265 0 0 0 27.08 10.042 Q 24.58 6.292 20.48 4.492 Z" />
                </clipPath>
                <path strokeLinecap="round" clipPath="url(#cliPathO)" className={styles.path} d="m20.45177,2.81089l7.18313,2.33049l6.04112,8.2262l-0.3856,11.82517l-3.98457,8.61181l-7.71207,8.35474l-5.65552,1.67095l-6.81233,-1.67095l-4.37017,-9.38301l0.12853,-13.11051l2.95629,-10.15422l7.19793,-6.04112l6.04112,-1.67095" opacity="NaN" stroke="#fff" fill="none"/>

                </g>
            </svg>
    </>

    )
}

export default LogoLoader
